<app-toolbar></app-toolbar>
<div style="border-bottom:1px solid #e5ecf0">
    <app-search-box [showTitle]="false" (handleConnectionResult)="loadConnectionList($event)"
        (onLoading)="loading = $event" #searchBox></app-search-box>
</div>
<mat-progress-bar *ngIf="loading" mode="query" color="accent"></mat-progress-bar>

<div class="result-content d-flex">

    <app-filter-box [fxHide.sm]="true" [fxHide.xs]="true" [request]="connectionReq"
        (requestChange)="onRequestChange($event)"></app-filter-box>

    <div class="result-box">
        <div class="loader" *ngIf="loading">
            <mat-spinner color="accent" [diameter]="50"></mat-spinner>
            <p>Chargement en cours...</p>
        </div>

        <ng-container *ngIf="!loading">
            <h2>{{ connectionReq.StartDate | date:'longDate' }}</h2>
            <p>
                {{ getCityById(connectionReq.DepartArretID!)?.Label }}
                &rarr;
                {{ getCityById(connectionReq.ArrivalArretID!)?.Label }}
            </p>
            <p>
                {{ getTripsLength() }} trajets disponibles.
            </p>

            <div class="d-flex d-column" style="gap: 20px;">
                <ng-container *ngIf="tripsList.length; else noTrips;">
                    <div class="trip-card" *ngFor="let item of tripsList">
                        <div class="d-flex trip-header">
                            <div>
                                <h2> {{ item.Agency?.Name }} </h2>
                            </div>

                            <div>
                                <h3>{{ getFullPriceTrip(item.ID, item.DepartureArret.ID, item.TerminusArret.ID ) }} -
                                    CFA </h3>
                            </div>
                        </div>
                        <div class="trip-body">
                            <div class="d-flex" style="gap:10px;">
                                <div>
                                    <mat-icon fontSet="material-symbols-rounded">circle</mat-icon>
                                </div>
                                <p>
                                    {{ item.DepartureArret?.DepartureTime | date: 'HH:mm' }}
                                </p> -
                                <p style="font-weight: bold; font-size: 17px;">
                                    {{ item.DepartureArret?.City?.CityValue?.Label }}
                                </p>
                            </div>
                            <div style="margin-top: -10px;">
                                <img src="../../../assets/vertical-line.png" height="30" width="25" alt="line" />
                            </div>
                            <div class="d-flex" style="gap:10px;">
                                <div>
                                    <mat-icon fontSet="material-symbols-rounded">location_on</mat-icon>
                                </div>
                                <p>
                                    {{ item.TerminusArret?.ArrivalTime | date: 'HH:mm' }}
                                </p> -
                                <p style="font-weight: bold; font-size: 17px;">
                                    {{ item.TerminusArret?.City?.CityValue?.Label }}
                                </p>
                            </div>
                        </div>
                        <div class="trip-footer d-flex" style="margin-top: 5px;">
                            <div class="d-flex" style="color:hsl(207, 98%, 40%);gap: 5px;width: 100%;">
                                <ng-container *ngIf="item.Agency?.TransportType">
                                    <ng-container *ngIf="item.Agency?.TransportType == 1">
                                        <mat-icon fontSet="material-symbols-rounded">directions_bus</mat-icon>
                                        <p style="font-weight: bold;margin-top: 2px;">
                                            BUS
                                        </p>
                                    </ng-container>
                                    <ng-container *ngIf="item.Agency?.TransportType == 2">
                                        <mat-icon fontSet="material-symbols-rounded">train</mat-icon>
                                        <p style="font-weight: bold;margin-top: 2px;">
                                            Train
                                        </p>
                                    </ng-container>
                                    <ng-container *ngIf="item.Agency?.TransportType == 3">
                                        <mat-icon fontSet="material-symbols-rounded">flight</mat-icon>
                                        <p style="font-weight: bold;margin-top: 2px;">
                                            Avion
                                        </p>
                                    </ng-container>
                                </ng-container>
                                <div class="d-flex" style="color:#000;margin-left: 10px;gap: 10px;">
                                    <mat-icon fontSet="material-symbols-rounded">schedule</mat-icon>
                                    <p style="margin-top: 2px;"> {{ toHHMMSS(item.Duration!) }} </p>
                                </div>
                                <div class="d-flex" style="color: #000;margin-left: 10px;gap: 10px;">
                                    <mat-icon fontSet="material-symbols-rounded">airline_stops</mat-icon>
                                    <p style="margin-top: 2px;"> {{ item.StopOccurence }} arrêt(s)</p>
                                </div>
                            </div>
                        </div>
                    </div>
                </ng-container>
                <ng-template #noTrips>
                    <div class="no-result">
                        <p style="font-weight: bold;">Aucun voyage n'a été trouvé a cette date.</p>
                    </div>
                </ng-template>

            </div>
        </ng-container>

    </div>
    <div fxHide fxShow.xs="true" fxShow.sm="true"
        style="position: fixed; display: flex;z-index: 5;align-self: flex-end; bottom: 10%;right: 10%;margin-bottom: 20px;">
        <button style="margin-right: 10px;" mat-fab color="accent" (click)="openFilterTemplateSheet()">
            <mat-icon fontSet="material-symbols-rounded">tune</mat-icon>
        </button>
    </div>

</div>

<div style="width: 60%; margin:30px auto; padding: 30px;">
    <app-footer></app-footer>
</div>

<!-- <ng-template #templateFilterRef>
    <div class="filter-box" [fxHide.sm]="!isBottomSheetOpen" [fxHide.xs]="!isBottomSheetOpen">
        <div class="d-flex" style="height:50px;width: 80%;justify-content: space-between;margin: 0 auto;">
            <p style="margin-top: 13px;font-weight:bold;">trier par</p>

            <button mat-button color="warn">tout effacer</button>
        </div>
        <div style="height: 80px;width: 80%;margin: 30px auto;">
            <mat-button-toggle-group style="width: 100%;" name="fontStyle" aria-label="Font Style" [vertical]="true">
                <mat-button-toggle value="bold">Départ le plus tôt</mat-button-toggle>
                <mat-button-toggle value="italic">Prix le plus bas</mat-button-toggle>
            </mat-button-toggle-group>
        </div>

        <div class="d-flex" style="height:50px;width: 80%;justify-content: space-between;margin: 0 auto;">
            <p style="margin-top: 13px;font-weight:bold;">Horaires</p>

            <button mat-button color="warn">tout effacer</button>
        </div>

        <div style="height: 80px;width: 80%;margin: 30px auto;">
            <mat-button-toggle-group style="width: 100%;" name="fontStyle" aria-label="Font Style" [vertical]="true">
                <mat-button-toggle value="bold">Avant 6h</mat-button-toggle>
                <mat-button-toggle value="italic">6h - 12h</mat-button-toggle>
                <mat-button-toggle value="test">12h - 18h</mat-button-toggle>
                <mat-button-toggle value="itali">Après 18h</mat-button-toggle>
            </mat-button-toggle-group>
        </div>

    </div>
</ng-template> -->